Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOSchemaSynchronization documentation

### Authors

Generated by Debian

Date: Generated at 2026-02-03 22:13:20 +0000

### Contents -

1. Software documentation for the EOAdaptor(EOSchemaSynchronization) category
2. Software documentation for the EOAdaptorChannel(EOSchemaSynchronization) category
3. Software documentation for the EOSQLExpression(EOSchemaSynchronization) category
4. Software documentation for the NSObject(EOSchemaSynchronizationDelegates) informal protocol
5. Software documentation for the EOColumnTypes protocol
6. EOSchemaSynchronization variables

# Software documentation for the EOAdaptor(EOSchemaSynchronization) category

## EOAdaptor(EOSchemaSynchronization)

> Declared in:
>   EOAccess/EOSchemaSynchronization.h

Description forthcoming.

### Method summary

- -objectStoreChangesFromAttribute:toAttribute:

### objectStoreChangesFromAttribute: toAttribute:

- (NSDictionary*) objectStoreChangesFromAttribute: (EOAttribute*)schemaAttribute toAttribute: (EOAttribute*)modelAttribute;
Description forthcoming.

# Software documentation for the EOAdaptorChannel(EOSchemaSynchronization) category

## EOAdaptorChannel(EOSchemaSynchronization)

> Declared in:
>   EOAccess/EOSchemaSynchronization.h

Description forthcoming.

### Method summary

- -beginSchemaSynchronization
- -endSchemaSynchronization

### beginSchemaSynchronization

- (void) beginSchemaSynchronization;
Description forthcoming.

### endSchemaSynchronization

- (void) endSchemaSynchronization;
Description forthcoming.

# Software documentation for the EOSQLExpression(EOSchemaSynchronization) category

## EOSQLExpression(EOSchemaSynchronization)

> Declared in:
>   EOAccess/EOSchemaSynchronization.h

Description forthcoming.

### Method summary

- +isCaseSensitive
- +isColumnType:equivalentToColumnType:options:
- +logicalErrorsInChangeDictionary:forModel:options:
- +phraseCastingColumnNamed:fromType:toType:options:
- +schemaSynchronizationDelegate
- +setSchemaSynchronizationDelegate:
- +statementsToConvertColumnNamed:inTableNamed:fromType:toType:options:
- +statementsToCopyTableNamed:intoTableForEntityGroup:withChangeDictionary:options:
- +statementsToDeleteColumnNamed:inTableNamed:options:
- +statementsToDropForeignKeyConstraintsOnEntityGroups:withChangeDictionary:options:
- +statementsToDropPrimaryKeyConstraintsOnEntityGroups:withChangeDictionary:options:
- +statementsToDropPrimaryKeySupportForEntityGroups:withChangeDictionary:options:
- +statementsToImplementForeignKeyConstraintsOnEntityGroups:withChangeDictionary:options:
- +statementsToImplementPrimaryKeyConstraintsOnEntityGroups:withChangeDictionary:options:
- +statementsToImplementPrimaryKeySupportForEntityGroups:withChangeDictionary:options:
- +statementsToInsertColumnForAttribute:options:
- +statementsToModifyColumnNamed:inTableNamed:toNullRule:options:
- +statementsToRenameColumnNamed:inTableNamed:newName:options:
- +statementsToRenameTableNamed:newName:options:
- +statementsToUpdateObjectStoreForEntityGroups:withChangeDictionary:options:
- +statementsToUpdateObjectStoreForModel:withChangeDictionary:options:
- +supportsDirectColumnCoercion
- +supportsDirectColumnDeletion
- +supportsDirectColumnInsertion
- +supportsDirectColumnNullRuleModification
- +supportsDirectColumnRenaming
- +supportsSchemaSynchronization

### isCaseSensitive

+ (BOOL) isCaseSensitive;
Description forthcoming.

### isColumnType: equivalentToColumnType: options:

+ (BOOL) isColumnType: (id<EOColumnTypes>)columnType1 equivalentToColumnType: (id<EOColumnTypes>)columnType2 options: (NSDictionary*)options;
Description forthcoming.

### logicalErrorsInChangeDictionary: forModel: options:

+ (NSArray*) logicalErrorsInChangeDictionary: (NSDictionary*)changes forModel: (EOModel*)model options: (NSDictionary*)options;
Description forthcoming.

### phraseCastingColumnNamed: fromType: toType: options:

+ (NSString*) phraseCastingColumnNamed: (NSString*)columnName fromType: (id<EOColumnTypes>)type toType: (id<EOColumnTypes>)castType options: (NSDictionary*)options;
Description forthcoming.

### schemaSynchronizationDelegate

+ (id) schemaSynchronizationDelegate;
Description forthcoming.

### setSchemaSynchronizationDelegate:

+ (void) setSchemaSynchronizationDelegate: (id)delegate;
Description forthcoming.

### statementsToConvertColumnNamed: inTableNamed: fromType: toType: options:

+ (NSArray*) statementsToConvertColumnNamed: (NSString*)columnName inTableNamed: (NSString*)tableName fromType: (id<EOColumnTypes>)type toType: (id<EOColumnTypes>)newType options: (NSDictionary*)options;
Description forthcoming.

### statementsToCopyTableNamed: intoTableForEntityGroup: withChangeDictionary: options:

+ (NSArray*) statementsToCopyTableNamed: (NSString*)tableName intoTableForEntityGroup: (NSArray*)entityGroup withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToDeleteColumnNamed: inTableNamed: options:

+ (NSArray*) statementsToDeleteColumnNamed: (NSString*)columnName inTableNamed: (NSString*)tableName options: (NSDictionary*)options;
Description forthcoming.

### statementsToDropForeignKeyConstraintsOnEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToDropForeignKeyConstraintsOnEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToDropPrimaryKeyConstraintsOnEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToDropPrimaryKeyConstraintsOnEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToDropPrimaryKeySupportForEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToDropPrimaryKeySupportForEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToImplementForeignKeyConstraintsOnEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToImplementForeignKeyConstraintsOnEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToImplementPrimaryKeyConstraintsOnEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToImplementPrimaryKeyConstraintsOnEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToImplementPrimaryKeySupportForEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToImplementPrimaryKeySupportForEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToInsertColumnForAttribute: options:

+ (NSArray*) statementsToInsertColumnForAttribute: (EOAttribute*)attribute options: (NSDictionary*)options;
Description forthcoming.

### statementsToModifyColumnNamed: inTableNamed: toNullRule: options:

+ (NSArray*) statementsToModifyColumnNamed: (NSString*)columnName inTableNamed: (NSString*)tableName toNullRule: (BOOL)allowsNull options: (NSDictionary*)options;
Description forthcoming.

### statementsToRenameColumnNamed: inTableNamed: newName: options:

+ (NSArray*) statementsToRenameColumnNamed: (NSString*)columnName inTableNamed: (NSString*)tableName newName: (NSString*)newName options: (NSDictionary*)options;
Description forthcoming.

### statementsToRenameTableNamed: newName: options:

+ (NSArray*) statementsToRenameTableNamed: (NSString*)tableName newName: (NSString*)newName options: (NSDictionary*)options;
Description forthcoming.

### statementsToUpdateObjectStoreForEntityGroups: withChangeDictionary: options:

+ (NSArray*) statementsToUpdateObjectStoreForEntityGroups: (NSArray*)entityGroups withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### statementsToUpdateObjectStoreForModel: withChangeDictionary: options:

+ (NSArray*) statementsToUpdateObjectStoreForModel: (EOModel*)model withChangeDictionary: (NSDictionary*)changes options: (NSDictionary*)options;
Description forthcoming.

### supportsDirectColumnCoercion

+ (BOOL) supportsDirectColumnCoercion;
Description forthcoming.

### supportsDirectColumnDeletion

+ (BOOL) supportsDirectColumnDeletion;
Description forthcoming.

### supportsDirectColumnInsertion

+ (BOOL) supportsDirectColumnInsertion;
Description forthcoming.

### supportsDirectColumnNullRuleModification

+ (BOOL) supportsDirectColumnNullRuleModification;
Description forthcoming.

### supportsDirectColumnRenaming

+ (BOOL) supportsDirectColumnRenaming;
Description forthcoming.

### supportsSchemaSynchronization

+ (BOOL) supportsSchemaSynchronization;
Description forthcoming.

# Software documentation for the NSObject(EOSchemaSynchronizationDelegates) informal protocol

## NSObject(EOSchemaSynchronizationDelegates)

> Declared in:
>   EOAccess/EOSchemaSynchronization.h

Description forthcoming.

### Method summary

- -allowsNullForColumnNamed:inSchemaTableNamed:
- -isSchemaTableNamed:
- -schemaSynchronizationAdaptor
- -schemaSynchronizationAdaptorChannelForModel:
- -schemaSynchronizationStatements:willCopyTableNamed:
- -schemaSynchronizationStatements:willDeleteTableNamed:

### allowsNullForColumnNamed: inSchemaTableNamed:

- (BOOL) allowsNullForColumnNamed: (NSString*)columnName inSchemaTableNamed: (NSString*)tableName;
Description forthcoming.

### isSchemaTableNamed:

- (BOOL) isSchemaTableNamed: (NSString*)tableName;
Description forthcoming.

### schemaSynchronizationAdaptor

- (EOAdaptor*) schemaSynchronizationAdaptor;
Description forthcoming.

### schemaSynchronizationAdaptorChannelForModel:

- (EOAdaptorChannel*) schemaSynchronizationAdaptorChannelForModel: (EOModel*)model;
Description forthcoming.

### schemaSynchronizationStatements: willCopyTableNamed:

- (void) schemaSynchronizationStatements: (NSArray*)statements willCopyTableNamed: (NSString*)tableName;
Description forthcoming.

### schemaSynchronizationStatements: willDeleteTableNamed:

- (void) schemaSynchronizationStatements: (NSArray*)statements willDeleteTableNamed: (NSString*)tableName;
Description forthcoming.

# Software documentation for the EOColumnTypes protocol

## EOColumnTypes

> Declared in:
>   EOAccess/EOSchemaSynchronization.h

Description forthcoming.

### Method summary

- -name
- -precision
- -scale
- -width

### name

- (NSString*) name;
Description forthcoming.

### precision

- (unsigned) precision;
Description forthcoming.

### scale

- (int) scale;
Description forthcoming.

### width

- (unsigned) width;
Description forthcoming.

# EOSchemaSynchronization variables

### EOAllowsNullKey

NSString* EOAllowsNullKey;
Description forthcoming.

### EOColumnNameKey

NSString* EOColumnNameKey;
Description forthcoming.

### EOExternalNameKey

NSString* EOExternalNameKey;
Description forthcoming.

### EOExternalTypeKey

NSString* EOExternalTypeKey;
Description forthcoming.

### EONameKey

NSString* EONameKey;
Description forthcoming.

### EOPrecisionKey

NSString* EOPrecisionKey;
Description forthcoming.

### EORelationshipsKey

NSString* EORelationshipsKey;
Description forthcoming.

### EOScaleKey

NSString* EOScaleKey;
Description forthcoming.

### EOSchemaSynchronizationForeignKeyConstraintsKey

NSString* EOSchemaSynchronizationForeignKeyConstraintsKey;
Description forthcoming.

### EOSchemaSynchronizationPrimaryKeyConstraintsKey

NSString* EOSchemaSynchronizationPrimaryKeyConstraintsKey;
Description forthcoming.

### EOSchemaSynchronizationPrimaryKeySupportKey

NSString* EOSchemaSynchronizationPrimaryKeySupportKey;
Description forthcoming.

### EOWidthKey

NSString* EOWidthKey;
Description forthcoming.

Up